﻿using System;
using InfoAPILib;

namespace InfoAPIDemoGETBAZE
{
    public class GETBAZEClassFactory : InfoAPIClassFactoryBase
    {

        /// <summary>
        /// Kreira objekat
        /// po nazivu klase
        /// </summary>
        /// <param name="pClassName">Naziv klase, ne treba da sadrži Namespace</param>
        /// <returns></returns>
        public override object GetObject(string pClassName)
        {
            string lNameSpace = this.GetType().Namespace;

            string lClassName = lNameSpace + "." + pClassName;

            object lResult;
            lResult = null;

            Type lType = Type.GetType(lClassName);
            if (lType != null)
            {
                lResult = Activator.CreateInstance(lType);
            }

            return lResult;
        }

    }
}
