﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using InfoAPILib;

namespace InfoAPIDemoMATH
{
    public class MATHClassFactory : InfoAPIClassFactoryBase
    {

        /// <summary>
        /// Kreira objekat
        /// po nazivu klase
        /// </summary>
        /// <param name="pClassName">Naziv klase, ne treba da sadrži Namespace</param>
        /// <returns></returns>
        public override object GetObject(string pClassName)
        {
            string lNameSpace = this.GetType().Namespace;

            string lClassName = lNameSpace + "." + pClassName;

            object lResult;
            lResult = null;

            Type lType = Type.GetType(lClassName);
            if (lType != null)
            {
                lResult = Activator.CreateInstance(lType);
            }

            return lResult;
        }

    }
}
