﻿using System;
using System.Runtime.Serialization;
using System.Text;

namespace InfoAPILib
{
    /// <summary>
    /// Struktura priloga. NIJE ZAVRŠENO! 
    /// \todo Sve treba da se uradi. Napravljen je samo kostur klase. 
    /// </summary>
    public class InfoAPIAttachment
    {
        /// <summary>
        /// id - identifikator priloga (atačmenta)
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string id { get; set; }

        /// <summary>
        /// type - tip priloga (STRING, vrsta datoteke...)
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string type { get; set; }

        /// _class_name - naziv klase. U API porukama je ovo uglavnom informativnog karaktera, a dobro dođe 
        /// kada se analiziraju složene strukture
        /// </summary>        
        [DataMember(EmitDefaultValue = false)]
        public string _class_name { get; set; }

        /// last_update - vreme poslednje izmene datoteke
        /// </summary>        
        [DataMember(EmitDefaultValue = false)]
        //public DateTime last_update { get; set; }
        public string last_update { get; set; }

        /// <summary>
        /// content - sadržaj datoteke
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string content { get; set; }

        /// <summary>
        /// file_name - sadržaj naziv datoteke
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string file_name { get; set; }


        //public string Save(string pSavePath)
        //{
            //this.Save(pSavePath, "");
        //}


        public string Save (string pSavePath, string pFileName = "")
        {
            string mResult;

            if (String.IsNullOrEmpty(pSavePath))
            {
                mResult = "";
            } else
            {
                mResult = pSavePath + "\\";
            }
            
                
            if (String.IsNullOrEmpty(pFileName)) {
                mResult += this.file_name;
            } else  {
                mResult += pFileName;
            }

            byte[] lData;
            if (this.type != "STRING")
            {
                //lData = Encoding.UTF8.GetBytes(this.content); // ovo se krositi za snimanje stringa ali to ovde ne terba
                lData = Convert.FromBase64String(this.content);
                InfoAPIFile.ByteArrayToFile(mResult, lData);
            }

            return mResult;
        }


    }
}