﻿using System.Collections.Generic;
using System.Runtime.Serialization;

namespace InfoAPILib
{
    /// <summary>
    /// Lista priloga koji su parametri u API poruci. NIJE ZAVRŠENO!
    /// </summary>
    [DataContract]
    public class InfoAPIAttachments {

        /// <summary>
        /// Broj priloga u listi
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public int count { get; set; }

        /// Naziv klase. U API porukama je ovo uglavnom informativnog karaktera, a dobro dođe 
        /// kada se analiziraju složene strukture
        /// </summary>        
        [DataMember(EmitDefaultValue = false)]
        public string _class_name { get; set; }

        /// <summary>
        /// Lista priloga
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public List<InfoAPIAttachment> items { get; set; }


        /// <summary>
        /// Konstruktor
        /// </summary>
        public InfoAPIAttachments()
        {
            //this.items = new List<InfoAPIAttachment>();
        }

        ///// <summary>
        ///// Dodaj novi prilog u listu priloga
        ///// </summary>
        ///// <param name="pAttachment">Prilog koji se dodaje</param>
        //public void Add(InfoAPIAttachment pAttachment)
        //{
        //    this.Add(pAttachment.id, pAttachment);
        //}


        /// <summary>
        /// Uzmi prilog
        /// </summary>
        /// <param name="pName">Prilog koji se uzima</param>
        public InfoAPIAttachment Get(string pName)
        {
            return this.Get(pName);
        }


    }
}