﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;

namespace InfoAPILib
{
    /// <summary>
    /// InfoAPIResultINFO je primer klase koja predstavlja strukturu podataka u rezultatu izvršavanja
    /// API funkcije INFO.
    /// </summary>
    public class InfoAPIResultINFO : InfoAPIResult
    {
        [DataMember(EmitDefaultValue = false)]
        public string developer;

        [DataMember(EmitDefaultValue = false)]
        public string username;

        [DataMember(EmitDefaultValue = false)]
        public string tip_kor;

        [DataMember(EmitDefaultValue = false)]
        public bool logedin;

        [DataMember(EmitDefaultValue = false)]
        public string referent;

        [DataMember(EmitDefaultValue = false)]
        public string disk;

        [DataMember(EmitDefaultValue = false)]
        public int poslovna_godina;

        [DataMember(EmitDefaultValue = false)]
        public string job;

        [DataMember(EmitDefaultValue = false)]
        public string pozicija;

        [DataMember(EmitDefaultValue = false)]
        public string sif_firme;

        [DataMember(EmitDefaultValue = false)]
        public string kd_rj;

        [DataMember(EmitDefaultValue = false)]
        public string sif_obj;

        [DataMember(EmitDefaultValue = false)]
        public string entry_name;

        [DataMember(EmitDefaultValue = false)]
        public string wentry_name;

        [DataMember(EmitDefaultValue = false)]
        public string putanja;

        [DataMember(EmitDefaultValue = false)]
        public string fullname;

    }
}
