﻿using InfoAPILib;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace InfoAPIUniversalClient
{
    public partial class Form1 : Form
    {

        private InfoAPIUniversalClient InfoAPIUniversalClient;

        public Form1(string[] pCommandParameters)
        {
            
            string lDefault = "";
            object lDefaultObject = (object)lDefault;


            string lCommandScript = InfoAPIEnum.GetItem<string>(pCommandParameters, 0, "");
            string lUserName = InfoAPIEnum.GetItem<string>(pCommandParameters, 1, "");
            string lUserPassword = InfoAPIEnum.GetItem<string>(pCommandParameters, 2, "");
            string lClientId = InfoAPIEnum.GetItem<string>(pCommandParameters, 3, "");
            string lHost = InfoAPIEnum.GetItem<string>(pCommandParameters, 4, "");

            InitializeComponent();
            this.InfoAPIUniversalClient = new InfoAPIUniversalClient(lCommandScript, lUserName, lUserPassword, lClientId, lHost);
        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            try
            {
                this.InfoAPIUniversalClient.onShowMessage += this.ShowMessage;
                this.InfoAPIUniversalClient.Run();


            }
            catch (Exception mException) {

                this.ShowError(mException.Message);
            }
        }

        private void ShowMessage(object sender, string pMessage, bool pCRLF = true)
        {
            tbMain.AppendText(pMessage);
            if (pCRLF)
            {
                tbMain.AppendText("\r\n");
            }

        }


        private void ShowError (string pErrorMessage)
        {
            tbMain.AppendText("\r\nError: " + pErrorMessage + "\r\n");
        }

    }
}
