﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using InfoAPILib;
using Newtonsoft.Json;

namespace InfoAPIDemoGETSTRUCT
{
    class Program
    {

        static void Main(string[] args)
        {
            Program program = new Program();
            program.RunTest();
        }


        public void RunTest()
        {

            InfoAPIHandler APIHandler;
            APIHandler = new InfoAPIHandler();
            APIHandler.APIServerURL = "http://pedjas.infosys.rs:31000/InfoAPI.aspx";
            APIHandler.username = "info";
            APIHandler.password = "demo";
            APIHandler.client_id = "DEMO";
            APIHandler.client_pk = "87oluavs978bl94vkivfzs967zs3rf";
            APIHandler.client_version = "0.0.1";
            APIHandler.SerializeIdented = true;

            // dodaj Class factory za modul DEMO
            APIHandler.InfoAPIClassFactories.Add(new GETSTRUCTClassFactory());

            InfoAPIParamsGETSTRUCT mAPIParams = new InfoAPIParamsGETSTRUCT();
            InfoAPIResponse mAPIResponse = null;
            mAPIResponse = APIHandler.CallAPI(mAPIParams);

            if (mAPIResponse != null)
            {

                Console.WriteLine("Error state: " + mAPIResponse.error_state);
                Console.WriteLine("Error message: " + mAPIResponse.error_message);

                if (mAPIResponse.error_state.ToUpper() == InfoAPIResponse.ERROR_STATE_OK.ToUpper())
                {
                    InfoAPIResultGETSTRUCT mAPIResult = (InfoAPIResultGETSTRUCT)mAPIResponse.Result;
                    Console.WriteLine(JsonConvert.SerializeObject(mAPIResult));
                }
                else
                {
                    Console.WriteLine("Greska:\r\n" + mAPIResponse.error_state + "\r\n" + mAPIResponse.error_message);
                }
            }
            else
            {
                Console.WriteLine("API call error!");
            }
            Console.ReadLine();
        }

    }
}
