﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace InfoAPIDemoSENDTABLE
{

    public class ExampleTable : List<ExampleTableDTO>
    {

        public void Populate()
        {
            for (int i = 1; i <= 10; i++) {

                ExampleTableDTO lItem = new ExampleTableDTO();
                lItem.id = i;
                lItem.opis = "Opis " + i.ToString();
                lItem.mesto = "Mesto " + i.ToString();
                lItem.oznaka = "Oznaka " + i.ToString();
                //lItem.datum_i_vreme = DateTime.Now.ToString();
                lItem.datum_i_vreme = DateTime.Now;

                this.Add(lItem);
            }
        }

    }


    [DataContract]
    public class ExampleTableDTO
    {

        [DataMember(EmitDefaultValue = false)]
        public int id { get; set; }

        [DataMember(EmitDefaultValue = false)]
        public string opis { get; set; }
        public string grupa { get; set; }
        public string mesto { get; set; }
        public string oznaka { get; set; }
        public DateTime datum_i_vreme { get; set; }
    }


}
