﻿
using System.Collections.Generic;
using System.Dynamic;
using System.Runtime.Serialization;
using System;


namespace InfoAPILib
{

    [DataContract]
    public class InfoAPITableReference 
    {
        /// <summary>
        /// id - identifikator tabele
        /// </summary>
        /// 
        [DataMember(EmitDefaultValue = false)]
        public string table_name { get; set; }

        public IEnumerable<object> data;

        private Type DataType;

        public InfoAPITableReference( )
        {
            this.data = null;
            this.DataType = null;
        }

        public void SetData(IEnumerable<object> pData)
        {

            this.data = pData;
            this.DataType = null;
            /*
            if (pData is InfoAPIDynamicTable) {
                this.data = List<E>
                foreach (dynamic lItem in pData)
                {
                    
                }
            } else  {
                this.data = pData;
            }
            */
        }


        public void SetData<T>(IEnumerable<object> pData)
        {

            this.data = pData;
            this.DataType = typeof (T);

        }

        public IEnumerable<object> GetData()
        {
            return this.data;
        }

        public Type GetDataType()
        {

            Type mResult;

            if (this.DataType != null)
            {
                mResult = this.DataType;
            } else
            {
               if ((this.data != null)) {
                    // vratiti tip prvog elementa liste
                    // da bi prosla sinfatksa vrati bilo sta...
                    //mResult = this.DataType;

                    mResult = this.data.GetType().BaseType.GetGenericArguments()[0];

                } else
                {
                    mResult = null;
                }
            }
            return mResult;

        }
    }
}